$(document).ready(function() {
	$(".sidebox_unhcr a.more").click(function()
	{
		$(this).parent("p").fadeOut();
		$(this).parent("p").next(".more-content").fadeIn();
	});
	
	$(".sidebox_unhcr a.less").click(function()
	{
		$(this).parent("div").fadeOut();
		$(this).parent().prev().fadeIn();
	});
	
	// Main content
	$(".showless").parent("p").fadeOut();
	$(".readmore").click(function()
	{
		$(this).parent("p").hide();
		$(this).parent("p").next("p").fadeIn(1000);
	});
	$(".showless").click(function()
	{
		$(this).parent("p").hide();
		$(this).parent("p").prev("p").fadeIn(1000);
	});
	
	// List all
	$(".sidebox_unhcr li:gt(2)").hide();
	$(".viewList_all").attr("href","javascript:void(0);");
	$(".viewList_all").click(function()
	{
		if($(".sidebox_unhcr li:gt(2)").css("display")=="none")
		{
			$(".sidebox_unhcr li").fadeIn();
			$(this).text("Shrink list");
		}
		else
		{
			$(".sidebox_unhcr li:gt(2)").fadeOut();
			$(this).text("View all");
		}
		
	});
});
